function r = rand_rice_fading (Kdb, dimensions)

K = 10^(Kdb/10);
sigma_squared = 1 / ( 2 * (K+1) );
sigma = sqrt(sigma_squared);
x = sigma * randn (dimensions);
y = sigma * randn (dimensions);

% Rician random numbers are squared sum of two 'normal' variables

r =  sqrt( (x + sqrt(2*K)).^2 + y.^2 );

end